package com.nisum.ascend.inventory.service;

import com.nisum.ascend.inventory.dto.ProductDto;
import com.nisum.ascend.inventory.model.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import com.nisum.ascend.inventory.repository.ProductRepository;

@Service
public class ProductService {
    @Autowired
    ProductRepository productRepository;

    public Flux<ProductDto> findAllProducts() {
        return productRepository.findAll()
                .map(ProductDto::generateDtoFromProduct);
    }


}
